nfsidmap(8)

NOM
nfsidmap - Le programme d'appel NFS de idmapper

SYNOPSIS
nfsidmap [-v] [-t attente] clé desc
nfsidmap [-v] [-c]
nfsidmap [-v] [-u|-g|-r utilisateur]
nfsidmap -d
nfsidmap -l
nfsidmap -h

DESCRIPTION
The NFSv4 protocol represents the local system's UID and GID values on the wire as strings of the form user@domain. The process of translating from UID to string and string to UID is referred to as "ID mapping."

The system derives the user part of the string by performing a password or group lookup. The lookup mechanism is configured in /etc/idmapd.conf.

By default, the domain part of the string is the system's DNS domain name. It can also be specified in /etc/idmapd.conf if the system is multi-homed, or if the system's DNS domain name does not match the name of the system's Kerberos realm.

When the domain is not specified in /etc/idmapd.conf the local DNS server will be queried for the _nfsv4idmapdomain text record. If the record exists that will be used as the domain. When the record does not exist, the domain part of the DNS domain will used.

The /usr/sbin/nfsidmap program performs translations on behalf of the kernel. The kernel uses the request-key mechanism to perform an upcall. /usr/sbin/nfsidmap is invoked by /sbin/request-key, performs the translation, and initializes a key with the resulting information. The kernel then caches the translation results in the key.

nfsidmap can also clear cached ID map results in the kernel, or revoke one particular key. An incorrect cached key can result in file and directory ownership reverting to "nobody" on NFSv4 mount points.

In addition, the -d and -l options are available to help diagnose misconfigurations. They have no effect on the keyring containing ID mapping results.

OPTIONS

-c  Effacer le trousseau contenant toutes les clés.

-d  Display the system's effective NFSv4 domain name on stdout.

-g utilisateur
    Révoquer la clé identifiant de groupe (GID) de l'utilisateur donné.

-h  Afficher un message d'utilisation.

-l  Display on stdout all keys currently in the keyring used to cache ID mapping results. These keys are visible only to the superuser.

-r utilisateur
    Révoquer simultanément les clés utilisateur (UID) et groupe (GID) pour l'utilisateur donné.

-t attente
    Déterminer la durée (en seconde) avant expiration de la clé. La valeur par défaut est 600 secondes (soit 10 minutes).

-u utilisateur
    Révoquer la clé identifiant utilisateur (UID) de l'utilisateur donné.

-v  Augmenter le niveau de verbosité de la sortie vers le journal système (peut être demandée plusieurs fois).

CONFIGURATION
Le fichier /etc/request-key.conf doit être modifié pour que /sbin/request-key puisse diriger correctement l'appel. La ligne suivante doit être ajouté avant un appel à keyctl :

create    id_resolver    *    *    /usr/sbin/nfsidmap -t 600 %k %d

Cela dirigera toutes les demandes id_resolver vers le programme /usr/sbin/nfsidmap. Le -t 600 définit le nombre de secondes avant l'expiration de la clé. C'est un paramètre facultatif pour /usr/sbin/nfsidmap qui est par défaut à 600 secondes quand il n'est pas indiqué.

Le système idmapper utilise quatre clés de description :

  uid : Trouve l'UID d'un utilisateur donné
  gid : Trouve le GID d'un groupe donné
  user : Trouve le nom d'utilisateur pour un UID donné
  group : Trouve le nom de groupe pour un GID donné

Vous pouvez choisir de traiter l'une ou l'autre individuellement, plutôt que d'utiliser le programme d'appel ascendant générique. Si vous souhaitez utiliser votre propre programme pour une recherche UID alors vous pouvez modifier votre request-key.conf pour qu'il ressemble à ceci:

create    id_resolver    uid:*    *    /un/autre/programme %k %d
create    id_resolver    *    *    /usr/sbin/nfsidmap %k %d

Notez que la nouvelle ligne a été ajoutée au-dessus de la ligne d'appel du programme générique. Request-key trouvera la première ligne correspondant et exécutera le programme correspondant. Dans ce cas, /some/other/program se chargera de toutes les recherches UID, et/usr/sbin/nfsidmap gérera gid, l'utilisateur et les recherches du groupe.

FICHIERS

/etc/idmapd.conf
    ID mapping configuration file

/etc/request-key.conf
    Request key configuration file

VOIR AUSSI
idmapd.conf(5), request-key(8)

AUTEUR
Bryan Schumaker, <bjschuma@netapp.com>

TRADUCTION
La traduction française de cette page de manuel a été créée par Valéry Perrin <valery.perrin.debian@free.fr>, Sylvain Cherrier <sylvain.cherrier@free.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Dominique Simen <dominiquesimen@hotmail.com>, Nicolas Sauzède <nsauzede@free.fr>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Denis Mugnier <myou72@orange.fr> et Cédric Boutillier <cedric.boutillier@gmail.com>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.